Skip to main content
POST
/
api
/
v1
/
passes
/
batch
/
update
Update pass batch
curl --request POST \
  --url https://api.passentry.com/api/v1/passes/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form csv='@example-file' \
  --form tag=summerPromotion \
  --form 'name=Summer Promotion Update #1' \
  --form scheduledAt=2030-03-31T13:16:26Z
{
  "data": {
    "id": "999b774f-02ae-4931-94c6-596f614ef4f4",
    "type": "passUpdate",
    "attributes": {
      "name": "Batch: Pass Update 2025-11-21 15:34:02",
      "status": "validating",
      "tag": "summerPromotion",
      "passTemplateName": "PassEntry Loyalty",
      "passTemplateNameId": "acbb27e9cfb4e8f62f8cb999",
      "scheduledAt": "2024-01-01T00:00:00Z",
      "errorsCsvUrl": "https://example.com/errors.csv",
      "totalCount": 1000,
      "progress": {
        "total": 1000,
        "processed": 800,
        "pending": 200
      }
    }
  },
  "links": {
    "self": "https://api.passentry.com/api/v1/batches/999b774f-02ae-4931-94c6-596f614ef4f4"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.passentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data

Batch Update

csv
file
required

CSV file containing pass data. 10 MB max size. Review the Batch Pass Update guide for more information.

passTemplate
string
required

Pass Template ID.

scheduledAt
string
required

ISO8601 timestamp of when the batch is scheduled to be updated

name
string

Friendly name of the batch, used for display purposes. Auto-generated if not provided

Example:

"PassEntry Summer Promotion Update"

tag
string

Tag of the batch, used for grouping and filtering purposes

Example:

"summerPromotion"

Response

Accepted

data
object